# $Revision: 1.3.2.3 $, $Date: 2003/05/28 16:07:15 $
Summary:	Sing Along Disc Player
Summary:	piewaj Sam - Odtwarzacz Pyt CD
Name:		xsadp
Version:	3.1.5d
Release:	3
License:	custom
Group:		Applications/Sound
Source0:	http://www.geocities.com/xsadp/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.alphalink.com.au/~michg/ace/sadp/
BuildRequires:	XFree86-devel
%ifnarch sparc sparc64 sparcv9
BuildRequires:	alsa-driver-devel
%endif
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRequires:	xforms-devel >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
SADP is and advanced CD player for Linux X11. Features: spectrum
analyser, oscillator, on-board mixer, shuffle mode, multiple play
lists and skip lists. Maintains local data base and provides access to
remote CD data bases over the Internet. Features: compressed fast
access data base, multiple preference sets, optional storing mixer
volumes for each disc. SADP can port data from Workman and xmcd data
bases (the later is also used by CDDB-1, and some CDDB-aware
applications). Other SADP features include CD-TEXT and CD-Extra
support, CD multichanger support, interactive icon and docking
facilities with Window Maker. Supports Linux Sound Driver, Open Sound
System and Advanced Linux Sound Architecture. Sound driver and
internet support are essential but not mandatory. SADP can be
customized for a particular brand of CD through time-out options.
Special support for SCSI CD ROM and IDE SCSI emulation is provided.
Available in console mode (ncurses 3+, 5.0 recommended) and GUI mode.

%description -l pl
SADP jest zaawansowan odtwarzark pyt CD dla Linux X11. Jego zalety
to analizator spektrum, oscyloskop, mikser, tryb mieszania (shuffle),
wiele list odtwarzania oraz listy pomijania utworw. SADP zarzdza
lokaln baz oraz daje moliwoc dostpu do zdalnych baz danych o
pytach CD poprzez Internet. Zalety w tym przypadku to: skompresowane,
szybkie bazy danych, ustawienia preferencji, opcjonalne zapisywanie
ustawie miksera dla kadego dysku. SADP potrafi korzysta z baz
danych Workmana oraz xmcd. Inne zalety SAPD to obsuga CD-TEXT oraz
CD-Extra, obsuga zmieniarek CD, interaktywna ikona oraz dokowanie w
WindowMakerze.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	CPPFLAGS="-I/usr/include/ncurses" \
	CFLAGS="-I/usr/include/ncurses" \
	--with-rpm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_libdir}/X11/app-defaults}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install *.ad $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/XSadp
install icons/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.1ST.OLD COPYRIGHT Readme.install xsadp.lsm documentation/CDExtension.txt
%doc documentation/DataBase.txt documentation/KernelMisc.txt documentation/MiniWindow.txt
%doc documentation/MouseWheel.txt documentation/ALSA.txt documentation/xmcd_database.txt
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/sadp
%{_pixmapsdir}/*
%{_mandir}/man?/*
%{_libdir}/X11/app-defaults/XSadp
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/rcddb.sites

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xsadp.spec,v $
Revision 1.3.2.3  2003/05/28 16:07:15  ankry
- really don't BR alsa-devel on sparc

Revision 1.3.2.2  2003/05/28 15:53:00  ankry
- do not BR: alsa for sparc, rel. 3

Revision 1.3.2.1  2003/05/05 23:00:18  ankry
- rebuild against xforms-1.0 (BR), rel. 2

Revision 1.3  2002/10/09 08:36:19  qboosh
- BR: automake

Revision 1.2  2002/08/25 18:38:09  kloczek
- cosmetics.

Revision 1.1  2002/08/24 16:13:59  misiek
- initial pld release
